net.sf.okapi.common.exceptions

## Class OkapiBadStepInputException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - net.sf.okapi.common.exceptions.OkapiException
        - - net.sf.okapi.common.exceptions.OkapiBadStepInputException

- All Implemented Interfaces:
    java.io.Serializable

      public class OkapiBadStepInputException
      extends OkapiException

  Signals that a step had an error when trying to open its input. This can be for example a problem with the type of input used to open the document, an incorrect URI, or an unsupported type of output.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OkapiBadStepInputException()` Creates an empty new OkapiBadStepInputException object.
    `OkapiBadStepInputException(java.lang.String message)` Creates a new OkapiBadStepInputException object with a given message.
    `OkapiBadStepInputException(java.lang.String message, java.lang.Throwable cause)` Creates a new OkapiBadStepInputException object with a given message and a given parent exception cause.
    `OkapiBadStepInputException(java.lang.Throwable cause)` Creates a new OkapiBadStepInputException object with a given parent exception cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OkapiBadStepInputException

          public OkapiBadStepInputException()

      Creates an empty new OkapiBadStepInputException object.

    - #### OkapiBadStepInputException

          public OkapiBadStepInputException(java.lang.String message)

      Creates a new OkapiBadStepInputException object with a given message.
      Parameters:
        `message` - text of the message.

    - #### OkapiBadStepInputException

          public OkapiBadStepInputException(java.lang.Throwable cause)

      Creates a new OkapiBadStepInputException object with a given parent exception cause.
      Parameters:
        `cause` - the parent exception cause.

    - #### OkapiBadStepInputException

          public OkapiBadStepInputException(java.lang.String message,
                                    java.lang.Throwable cause)

      Creates a new OkapiBadStepInputException object with a given message and a given parent exception cause.
      Parameters:
        `message` - the message.
        `cause` - the cause.